Subject: Re: [Enum] SchemaSet strawman

From: Richard Shockey <[email-masked]>
Date: Mon, 08 Jul 2002 16:07:25 -0400

At 03:00 PM 5/28/2002 +0900, Toyoda, Kiyoshi wrote:

>Shockey-san,
>
>I would like to propose ifax services of ENUM. I comment
>below.
>
>R
>I want to use ENUM for two services of IFAX. One is a service to get
>simply e-mail address of destination. Another is a service to get
>URI of directory server such as LDAP which has the e-mail address
>and capability of destination IFAX. I think that the former service
>will be acceptable easier by IFAX WG and ENUM WG than latter. So,
>I made a simple draft below at first. Please comment.

Some how this got lost in my email shuffle but my comments are below....

If you have been following the ENUM list we are now discussing the syntax 
for expressing your requirements... I suggest looking at:

Title           : The E.164 to URI DDDS Application
         Author(s)       : P. Faltstrom, M. Mealling
         Filename        : draft-ietf-enum-rfc2916bis-01.txt
         Pages           : 18
         Date            : 05-Jul-02

This document discusses the use of the Domain Name System (DNS) for
storage of E.164 numbers.  More specifically, how DNS can be used for
identifying available services connected to one E.164 number.  It
specifically obsoletes RFC 2916 to bring it in line with the Dynamic
Delegation Discovery System (DDDS) Application specification found in
the document series specified in RFC WWWW.  It is very important to
note that it is impossible to read and understand this document
without reading the documents discussed in RFC WWWW.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-enum-rfc2916bis-01.txt

It proposes a syntax in ABNF format

ervice_field = "E2U" + 1*("+" enumservice)
enumservice   = service [":" protocol]
service       = 1*32(ALPHA / DIGIT)
protocol      = 1*32(ALPHA / DIGIT)

BTW we are meeting on Tuesday to discuss this proposal and others and there 
is similar work going on in VPIM as well...

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Voice Profile for Internet Mail Working 
Group of the IETF.

         Title           : Voice Message Routing Service
         Author(s)       : G. Vaudreuil
         Filename        : draft-ietf-vpim-routing-03.txt
         Pages           : 11
         Date            : 03-Jul-02

Voice messaging is traditionally addressed using telephone number
addressing. This document describes two techniques for routing voice
messages based on a telephone number.  The VPIM Directory service
provides a directory mechanism to lookup a VPIM email address with a
telephone number and confirm that the address is both valid and the
associated with the intended recipient.  However this service will
take time become widely deployed in the nearest term.  This document
also describes a more limited send-and-pray service useful simply to
route and deliver messages using only the ENUM telephone number
resolution service and the existing DNS mail routing facilies.
Please send comments on this document to the VPIM working group
mailing list <[email-masked]>

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-vpim-routing-03.txt

>-------------------------------------------------------------------
>Network Working Group                        K. Toyoda, MGCS
>Internet Draft
>                                                     May 2002
>Expires: November 2002
>
>
>
>                    IFAX service of ENUM

I think the timing for this is now perfect with the establishment of a IANA 
registration procedure for the syntax in 2916bis.  The comments of the FAX 
WG  would be most appreciated.

>
>
>
>      S
>
>Abstract
>
>      This document describes the functional specification
>      and the definition of the ENUM NAPTR record, for IFax
>      service. IFax is "Facsimile using Internet Mail".  For
>      this use, the DNS returns the email address of the
>      referenced IFax system.
>
>
>1.   Functional Specification
>
>     An IFax client makes an Enum DNS query with the target
>     system's telephone number.  The returned NAPTR record
>     specifies an email address that is to be used for reaching
>     the target system.  The email address is then used in
>     accordance with "Simple Mode of Facsimile using Internet
>     Mail" [RFC2305] or "Extended Facsimile using Internet
>     Mail" [RFC2532]
>
>2.   Definition of NAPTR record
>2.1 Service Name
>     Service Name = "ifax"
>     The scope of this service is facsimile using Internet mail.
>     It includes "Simple Mode of Facsimile using Internet Mail"
>     and "Extended Facsimile using Internet Mail". "Full Mode
>     Fax Profile for Internet Mail" is applied when it is
>     approved as an Internet standards-track specification.
>
>2.2 URI Scheme
>     Scheme = "mailto"
>
>     The URI Scheme is "mailto" because facsimile using
>     Internet Mail is a profile for standard Internet mail and
>     uses standard Internet mail addressing.
>
>     Example
>     $ORIGIN 4.3.2.1.6.7.9.8.6.4.e164.arpa
>       IN NAPTR 10 10 "u" "E2U+ifax" "!^.*$!mailto:[email-masked]!"

this looks right with the service being ifax and the protocol being mailto 
in the syntax proposed

IN NAPTR 10 10 "u" "E2U+ifax:smtp" "!^.*$!mailto:[email-masked]!"

but you can now specify a different transport method if you chose such as

IN NAPTR 10 10 "u" "E2U+ifax:ipp" "!^.*$!ipp://username/ifax.net!" if you 
wish....

or

IN NAPTR 10 10 "u" "E2U+ifax:T38" "!^.*$h323:[email-masked]!"

as different examples.

>2.
>6.       AUTHORS' ADDRESSES
>
>      Kiyoshi Toyoda
>      Matsushita Graphic Communication Systems,Inc
>      2-3-8 Shimomeguro, Meguro-Ku
>      Tokyo 153  JAPAN
>
>      +81.3.5434.7161
>      [email-masked]
>
>
>
>Kiyoshi Toyoda

Richard Shockey, Senior Manager, Strategic Technology Initiatives
NeuStar Inc.
45980 Center Oak Plaza   Bldg 8     Sterling, VA  20166
1120 Vermont Ave NW Suite 400 Washington DC 20005
Voice +1 571.434.5651 Cell : +1 314.503.0640,  Fax: +1 815.333.1237
<mailto: [email-masked]> or
<mailto: [email-masked]>
<http://www.neustar.biz>
<http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: "Toyoda, Kiyoshi" <[email-masked]>
Date: Tue, 09 Jul 2002 20:19:10 +0900

>for expressing your requirements... I suggest looking at:

Thank you for your suggestion.
I have looked at the draft and add ":smtp" to the exmaple as below.
I prefer "ABNF Syntax for enumservice Faltstrom/Mealling" to 
"ABNF Syntax for enumservice Brandner/Stastny/Conroy".

   Example

>is similar work going on in VPIM as well...

You mean the meeting of FAX&VPIM WG?   

Kiyoshi Toyoda